Skip to main content
GET
/
payout_methods
/
{id}
JavaScript
import Whop from '@whop/sdk';

const client = new Whop({
  apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});

const payoutMethod = await client.payoutMethods.retrieve('potk_xxxxxxxxxxxxx');

console.log(payoutMethod.id);
{
  "id": "potk_xxxxxxxxxxxxx",
  "created_at": "2023-12-01T05:00:00.401Z",
  "company": {
    "id": "biz_xxxxxxxxxxxxxx"
  },
  "nickname": "<string>",
  "currency": "<string>",
  "is_default": true,
  "destination": {
    "country_code": "<string>",
    "category": "crypto",
    "name": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The app API key from an app from the /dashboard/developer page

Path Parameters

id
string
required

The ID of the payout method

Example:

"potk_xxxxxxxxxxxxx"

Response

A successful response

An object representing an user's setup payout destination.

id
string
required

The ID of the payout token

Example:

"potk_xxxxxxxxxxxxx"

created_at
string<date-time>
required

The date and time the payout token was created

Example:

"2023-12-01T05:00:00.401Z"

company
object
required

The company associated with the payout token

nickname
string | null
required

An optional nickname for the payout token to help the user identify it. This is not used by the provider and is only for the user's reference.

currency
string
required

The currency code of the payout destination. This is the currency that payouts will be made in for this token.

is_default
boolean
required

Whether this payout token is the default for the payout account

destination
object
required

The payout destination associated with the payout token